postfix (3.11.4-1ubuntu1) stonking; urgency=medium

  * Merge with Debian unstable (LP: #2153226). Remaining changes:
    - d/rules, d/control: disable TLSRPT, since libtlsrpt is in Universe
    - d/control: Recommends: networkd-dispatcher (LP #2132159)
    - d/t/test-postfix.py: sync with copy from lp:qa-regression-testing.
      This also fixes the test failure reported in LP #2139109. Thanks
      to Marc Deslauriers <marc.deslauriers@canonical.com> for the update!
  * Dropped:
    - SECURITY UPDATE: crash via an enhanced status code that lacks text after the
      third number
      + debian/patches/CVE-2026-43964.patch: fix buffer over-read when an enhanced
        status code is not followed by other text in src/global/dsn_util.c.
      + CVE-2026-43964
      [Fixed upstream in 3.11.2]
  * Added:
    - d/control: switch build-dep to libmysqlclient-dev in Ubuntu
    - d/postfix.apport: fix syntax warning in regexp (LP: #2139313)

 -- Andreas Hasenack <andreas.hasenack@canonical.com>  Tue, 30 Jun 2026 15:26:44 -0300

postfix (3.11.4-1) unstable; urgency=medium

  * New upstream version 3.11.4, fixing 5 low-impact issues,
    https://www.postfix.org/announcements/postfix-3.11.4.html

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 18 Jun 2026 07:13:11 +0300

postfix (3.11.3-2) unstable; urgency=medium

  * d/control: switch Build-Depends from default-libmysqlclient-dev
    to libmariadb-dev-compat (Closes: #1137767)
  * d/control: remove LaMont Jones and Scott Kitterman
    from the uploaders list (Closes: #1138932)

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 08 Jun 2026 14:11:07 +0300

postfix (3.11.3-1) unstable; urgency=medium

  * new upstream stable/bugfix release

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 04 Jun 2026 09:22:21 +0300

postfix (3.11.2-4) unstable; urgency=medium

  * move meta_directory from /etc/postfix to /usr/share/postfix.

    All files in meta_directory, except main.cf.proto and master.cf.proto,
    are not config files, - these are static files which describes the
    installation (postfix-files, dynamicmaps.cf, makedefs.out, etc).
    These don't belong in /etc really.

    The *.cf.proto files are config files, - templates for main.cf
    and master.cf files for secondary instances, which the user might
    want to customise before deploying new instances.  So these actually
    belong to /etc/postfix/.  For these 2, create symlinks from
    /usr/share/postfix/*.cf.proto to corresponding files /etc/postfix/.

    For dynamicmaps.cf, split it into dynamicmaps.cf.d/$map.cf, so
    there's no need to register them dynamically in dynamicmaps.cf
    at install/remove time, anymore.  This Closes: #1135765 for good.

    Remove /etc/postfix/postfix-files &Co the dpkg remove-on-upgrade way.

    The file /usr/share/postfix/postinst.functions becomes dummy with
    just 3 empty functions in it, keep it for upgrades from old versions.

  * postfix-script-skip-symlinks.patch: avoid complaining about symlinks
    in certain postfix dirs being world or other writable
  * postfix.postinst: comment-out meta_directory setting in main.cf if set
  * postfix.postinst: also rm dynamicmaps.cf on upgrades
  * stop shipping postfix-collate, postfix-add-policy, postfix-add-filter.
    Let's see if anyone complains...
  * postfix.postrm: stop rm -rf'ing /etc/postfix on purge

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 06 May 2026 17:27:15 +0300

postfix (3.11.2-3) unstable; urgency=medium

  * d/functions: prevent cdb & lmdb removal from dynamicmaps.cf
    (Closes: #1135765)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 05 May 2026 22:44:40 +0300

postfix (3.11.2-2) unstable; urgency=medium

  * d/main.cf.in: fix double alias_maps entry in previous upload

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 05 May 2026 13:40:58 +0300

postfix (3.11.2-1) unstable; urgency=medium

  [ Michael Tokarev ]
  * New upstream version 3.11.2
    (Closes: #1135718, CVE-2026-43964)
  * missing-vars-init.patch: remove
  * include cdb and lmdb maps in postfix package,
    and make postfix-cdb and postfix-lmdb empty
    Closes: #1135691
  * d/main.cf.in: default_database_type=cdb, default_cache_db_type=lmdb
  * d/postfix.postinst: stop adding alias_maps and alias_database parameters
    to main.cf, use defaults (from main.cf.default) instead
  * d/changelog: fix typo
  * d/rules, d/functions: small cleanups for 3.9.1* versions

  [ Luca Boccassi ]
  * Install and use sysusers.d/tmpfiles.d config files

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 05 May 2026 13:05:26 +0300

postfix (3.11.0-4) unstable; urgency=medium

  * postfix.service: Lower ProtectSystem from full to yes for now,
    for BerkeleyDB migration (this makes /etc writable).
  * missing-vars-init.patch: fix two probs in #1130154:
    - newaliases does not work with no default_database_type explicitly set
    - nbdb_reindexd segfaults
    Closes: #1130154

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 10 Mar 2026 10:57:27 +0300

postfix (3.11.0-3) unstable; urgency=medium

  * this release deprecates BerkeleyDB (hash/btree) map support in postfix.
    See /usr/share/doc/postfix/NON_BERKELEYDB_README.gz for more info.
  * move NON_BERKELEYDB_README (&.html) from postfix-doc to postfix
  * switch from hash/btree to cdb/lmdb by default.
    Set default_database_type=cdb, default_cache_db_type=lmdb.
    Make postfix-cdb and postfix-lmdb hard dependencies of postfix for now.
  * debian-warn-db-deprecated.patch: warn about usage of hash/btree
  * postfix.NEWS: hash/btree news item
  * d/rules: set compatibility_level in debian main.cf to the upstream value

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 09 Mar 2026 00:34:38 +0300

postfix (3.11.0-2) unstable; urgency=medium

  * debian-postfix-chroot-cmd.patch: fix the wrong refresh
    in previous upload

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 07 Mar 2026 15:37:27 +0300

postfix (3.11.0-1) unstable; urgency=medium

  * new upstream release.
  * refresh patches

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 07 Mar 2026 14:48:53 +0300

postfix (3.10.8-1) unstable; urgency=medium

  * New upstream version 3.10.8
  * Revert "rules: specify -std=gnu17 for CC (#1097639)"
    (similar solution is adopted upstream)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 28 Feb 2026 10:38:03 +0300

postfix (3.10.6-4ubuntu2.1) resolute-security; urgency=medium

  * SECURITY UPDATE: crash via an enhanced status code that lacks text after the
    third number
    - debian/patches/CVE-2026-43964.patch: fix buffer over-read when an enhanced
      status code is not followed by other text in src/global/dsn_util.c.
    - CVE-2026-43964

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 05 May 2026 11:45:55 -0400

postfix (3.10.6-4ubuntu2) resolute; urgency=medium

  * d/t/test-postfix.py: sync with copy from lp:qa-regression-testing.
    This also fixes the test failure reported in LP: #2139109. Thanks
    to Marc Deslauriers <marc.deslauriers@canonical.com> for the update!

 -- Andreas Hasenack <andreas.hasenack@canonical.com>  Tue, 17 Feb 2026 16:46:13 -0300

postfix (3.10.6-4ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/rules, d/control: disable TLSRPT, since libtlsrpt is in Universe
    - d/control: Recommends: networkd-dispatcher (LP: #2132159)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Jan 2026 09:47:49 +0100

postfix (3.10.6-4) unstable; urgency=medium

  * disable chrooting by default finally, after 25 years of everyone suffering.
    Only limited support for chroot mode will be provided for backwards
    compatibility.  With this in mind, let's close all chroot-related bugs.
    Closes: #151692, #1084167, #606007, #631665, #714770, #406348,
    Closes: #1026394, #257096, #278530, #776685, #893516, #935825,
    Closes: #678808, #896879, #412413, #802043
  * yes there's no 3.10.6-3 changelog entry - which was chroot disabling
    without closing the bugs.

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 28 Jan 2026 00:07:44 +0300

postfix (3.10.6-2) unstable; urgency=medium

  * configure-instance: put /usr/lib/$multiarch/libnss_*.so stuff
    to the same dir in chroot, to have unified layout, to let
    postfix-script to compare the same files, and to use the same
    syncfiles script.
  * configure-instance: try to remove whole $chroot/lib as it is not
    used anymore, all libs should be in usr/lib/$multiarch now.

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 27 Jan 2026 23:42:54 +0300

postfix (3.10.6-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable (LP: #2126012). Remaining changes:
    - d/rules, d/control: disable TLSRPT, since libtlsrpt is in Universe
    - d/control: Recommends: networkd-dispatcher (LP: #2132159)
  * Dropped changes, included in Debian upload:
    - d/rules: set CFLAGS std=gnu17 to fix build errors on gcc15 (LP: #2125198)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Dec 2025 18:21:30 +0100

postfix (3.10.6-1) unstable; urgency=medium

  * new upstream stable release:

   - Bugfix (defect introduced: Postfix 3.10, date: 20250117).
     Symptom: warning messages that smtp_tls_wrappermode requires
     "smtp_tls_security_level = encrypt".
     Root cause: support for "TLS-Required: no" broke client-side
     TLS wrappermode support, by downgrading a connection to TLS
     security level 'may'.
     The fix changes the downgrade level for wrappermode connections
     to 'encrypt'. Rationale: by design, TLS can be optional only
     for connections that use STARTTLS. The downgrade to unauthenticated
     'encrypt' allows a sender to avoid an email delivery problem.
     Problem reported by Joshua Tyler Cochran.

   - New logging: the Postfix SMTP client will log a warning when
     an MX hostname does not match STS policy MX patterns, with
     "smtp_tls_enforce_sts_mx_patterns = yes" in Postfix, and with
     TLSRPT support enabled in a TLS policy plugin. It will log a
     successful match only when verbose logging is enabled.

   - Bugfix (defect introduced: Postfix 3.10, date: 20240902): SMTP
     client null pointer crash when an STS policy plugin sends no
     policy_string or no mx_pattern attributes. This can happen only
     during tests with a fake STS plugin.

   - Bugfix (defect introduced: Postfix 2.9, date: 20120307): segfault
     when a duplicate parameter name is given to "postconf -X" or
     "postconf -#'.

   - Documentation: removed incorrect text from the parameter
     description for smtp_cname_overrides_servername. File:
     proto/postconf.proto.

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 26 Nov 2025 11:12:30 +0300

postfix (3.10.5-3) unstable; urgency=medium

  [ Aaron Thompson ]
  * debian-postfix-chroot-cmd.patch: Fix non-ASCII whitespace typo
  * configure-instance.in: fix typo
  * d/README.Debian: minor copyediting
  * Fix some cosmetic typos

  [ Michael Tokarev ]
  * changelog: fix the Closes: #1120869 line in the previous upload

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 21 Nov 2025 12:00:41 +0300

postfix (3.10.5-2) unstable; urgency=medium

  * keep postfix running during upgrades (Closes: #1120869)

    Instead of stopping postfix instances before upgrade and starting
    them after, keep them running during whole upgrade, and restart in
    one go when finished.

    Sometimes during upgrade, old running instance might try to run
    a new binary which is somehow incompatible with the old instance.
    Or a new binary try to load old dictionary module and fails.
    In the worst case, it will cause throttle for this service,
    but it will be over on restart after upgrade.

    But keeping postfix running will make 2 things happen:

    1. In many situations, email will continue working during upgrades;
    2. Secondary instances will be restarted automatically too

  * d/rules: stop stopping/restarting postfix-resolvconf,
    since it is pointless

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 21 Nov 2025 11:00:45 +0300

postfix (3.10.5-1) unstable; urgency=medium

  * new upstream stable release.  From the Release Notes:

  * Workaround for an interface mis-match between the Postfix SMTP
    client and MTA-STS policy plugins.

      * The existing behavior is to connect to any MX host listed
        in DNS, and to match the server certificate against any STS
        policy MX host pattern.

      * The corrected behavior is to connect to an MX host only if
        its name matches any STS policy MX host pattern, and to
        match the server certificate against the MX hostname.

    The corrected behavior must be enabled in two places: in Postfix
    with a new parameter "smtp_tls_enforce_sts_mx_patterns" (default:
    "yes") and in an MTA-STS plugin by enabling TLSRPT support, so
    that the plugin forwards STS policy attributes to Postfix. This
    works even if Postfix TLSRPT support is disabled at build time
    or at runtime.

  * TLSRPT Workaround: when a TLSRPT policy-type value is
    "no-policy-found", pretend that the TLSRPT policy domain value
    is equal to the recipient domain. This ignores that different
    policy types (TLSA, STS) use different policy domains. But this
    is what Microsoft does, and therefore, what other tools expect.

  * Bugfix (defect introduced: Postfix 3.0): the Postfix SMTP
    client's connection reuse logic did not distinguish between
    sessions that require SMTPUTF8 support, and sessions that do
    not. The solution is 1) to store sessions with different SMTPUTF8
    requirements under distinct connection cache storage keys, and
    2) to not cache a connection when SMTPUTF8 is required but the
    server does not support that feature.

  * Bugfix (defect introduced: Postfix 3.0, date 20140731): the
    smtpd 'disconnect' command statistics did not count commands
    with "bad syntax" and "bad UTF-8 syntax" errors.

  * Bugfix: the August 2025 patch broke DBM library support which
    is still needed on Solaris; and the same change could result
    in warnings with "database X is older than source file Y".

  * Postfix 3.11 forward compatibility: to avoid ugly warnings when
    Postfix 3.11 is rolled back to an older version, allow a
    preliminary 'size' record in maildrop queue files created with
    Postfix 3.11 or later.

  * Bugfix (defect introduced: Postfix 3.8, date 20220128):
    non-reproducible build, because the 'postconf -e' output order
    for new main.cf entries was no longer deterministic. Problem
    reported by Oleksandr Natalenko, diagnosis by Eray Aslan.

  * To make builds predictable, add missing meta_directory and
    shlib_directory settings to the stock main.cf file. Problem
    diagnosed by Eray Aslan.

  * Bugfix (defect introduced: Postfix 3.9, date 20230517):
    posttls-finger(1) logged an incorrectly-formatted port number.
    Viktor Dukhovni.

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 28 Oct 2025 13:02:25 +0300

postfix (3.10.4-3) unstable; urgency=medium

  * Revert "std23-bool.patch: gcc-15 support (#1097639)" (didn't work)
  * rules: specify -std=gnu17 for CC for now (actually Closes: #1097639)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 17 Sep 2025 12:59:25 +0300

postfix (3.10.4-2) unstable; urgency=medium

  * std23-bool.patch: gcc-15 support (Closes: #1097639)
  * configure-instance.in: fix typo which caused recreating
    cadir in chroot and excessive logging (Closes: #1115412)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 17 Sep 2025 12:43:42 +0300

postfix (3.10.4-1) unstable; urgency=medium

  * New upstream stable/bugfix version 3.10.4, with a handful of fixes
  * d/rules: use pkgconf for mongoc instead of hard-coding paths/libs

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 19 Aug 2025 17:12:54 +0300

postfix (3.10.3-3) unstable; urgency=medium

  * configure-instance.in: fix typo
  * configure-instance.in: limit maxdepth=1 in /etc/ssl/certs dirs
  * configure-instance.in: use home-grown file copy procedure to sync chroot
    There are a few issues with using cp(1) to update files in chroot, -
    a file should be copied even if the source date is *less* than the
    target date (eg, if a package has been downgraded), which is not done
    by `cp -u` (#1110704), a file should be copied atomically (copy+rename,
    not truncate+copy), and care should be taken with extra attributes
    (#1100100).  Use a simple perl-based script (using just perl-base)
    to update files instead, which fixes all this stuff.
    (Closes: #1100100, #1110704)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 13 Aug 2025 14:29:46 +0300

postfix (3.10.3-2) unstable; urgency=medium

  * d/changelog: fix wrongly formatted previous changelog entry (double email)
  * update Portuguese translation (Closes: #1107436)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 11 Jul 2025 00:50:43 +0300

postfix (3.10.3-1) unstable; urgency=medium

  [ Michael Tokarev ]
  * new upstream stable/bugfix release.  From the release announcement:
    This release fixes defects that were introduced in Postfix 3.10.
    The defects exist only with the default configuration
    "tls_required_enable = yes".
  * Bugfix (defect introduced: Postfix-3.10, date 20250117): include
    the current TLS security level in the SMTP connection cache
    lookup key for lookups by next-hop destination, to avoid reusing
    the same SMTP connection when sending messages with and without
    a "TLS-Required: no" header. Likewise, include the current TLS
    security level in the TLS session lookup key, to avoid reusing
    the same TLS session info when sending messages with and without
    a "TLS-Required: no" header.
  * Bugfix (defect introduced: Postfix-3.10, date 20250117): the
    Postfix SMTP client attempted to look up TLSA records even with
    "TLS-Required: no". This could result in unnecessary failures.
    Fix by Viktor Dukhovni & Wietse.

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 11 Jul 2025 00:26:40 +0300

postfix (3.10.2-1ubuntu3) resolute; urgency=medium

  * d/control: Recommends: networkd-dispatcher (LP: #2132159)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 25 Nov 2025 14:51:21 -0500

postfix (3.10.2-1ubuntu2) questing; urgency=medium

  * d/rules: set CFLAGS std=gnu17 to fix build errors on gcc15 (LP: #2125198)

 -- Jonas Jelten <jonas.jelten@canonical.com>  Fri, 19 Sep 2025 15:14:55 +0200

postfix (3.10.2-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110451). Remaining changes:
  * Dropped:
    - d/rules: ship /var/spool/postfix/dev (#1094571)
      [In 3.10.1-1]
  * Added changes:
    - d/rules, d/control: disable TLSRPT, since libtlsrpt is in Universe

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 10 Jun 2025 18:30:53 -0300

postfix (3.10.2-1) unstable; urgency=medium

  [ Michael Tokarev ]
  * new upstream minor/bugfix/maintenance release
    Closes: #1100449 (postfix: main.cf corrupted after upgrade)
  * postfix.service: add CAP_DAC_READ_SEARCH (Closes: #1099891)

  [ Carles Pina i Estany ]
  * Update po-debconf Catalan translation

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 23 Apr 2025 11:42:50 +0300

postfix (3.10.1-1) unstable; urgency=medium

  * new upstream release
  * NOTES: remove part about postmulti and postfix@.service
  * d/rules: ship /var/spool/postfix/dev (Closes: #1094571)
  * gbp.conf: switch to 3.10
  * 10_openssl_version_check.diff: remove, not needed anymore
  * 40_chroot_by_default.diff: refresh, reduce context
  * 50_LANG.diff: rediff, reduce context
  * debian/patches/reproducible: remove, applied upstream
  * makedefs-fix-RELEASE_MAJOR-expression.patch, sqlite-open-fix.patch:
    remove, applied upstream
  * debian-fix-manpages-C-font.patch: remove
  * enable TLSRPT (+Build-Depends: libtlsrpt0-dev)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 02 Mar 2025 11:20:24 +0300

postfix (3.9.1-10ubuntu1) plucky; urgency=medium

  * d/rules: ship /var/spool/postfix/dev (#1094571)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 31 Jan 2025 09:36:36 -0300

postfix (3.9.1-10) unstable; urgency=medium

  * main.cf.tls: use smtp_tls_CAfile, not smtp_tls_CApath;
    add comments for all parameters
  * postfix.service: remove not-relevant-anymore comment
  * control: Pre-Depends: init-system-helpers, since we run invoke-rc.d
    manually from triggers and ${misc:Pre-Depends} is not set
  * postfix.postinst: remove --skip-systemd-native from invoke-rc.d call
    since we checked for systemd already
  * postfix.maintscript: convert to conffiles
  * postfix-doc: rm conffile /etc/postfix/postfix-files.d/doc.files
    (Closes: #1091839)
  * configure-instance: remove dev/u?random in chroot when upgrading
  * rules: do not install makedefs.1 manpage
  * debian-fix-manpages-C-font.patch: use different manpage formatting for
    examples (fixes roff being unable to find C font)
  * d/tests: replace "useradd -p" with chpasswd (Closes: #1092751)
  * sqlite-open-fix.patch: fix opening of sqlite map files

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 11 Jan 2025 15:46:36 +0300

postfix (3.9.1-9) unstable; urgency=medium

  * the "let's break the toys" release part 2:
  * postfix.service: first step at possible hardening at the systemd level
    Drop as much privileges as seem safe for postfix operations
    Use ProtectSystem=full, let's see what happens
  * split startup procedure into two halves, setup+runtime, so that the runtime
    half can be run with restricted privs, while setup part needs chown etc
  * stop ordering postfix.service after network-online.target, but keep it
    after network.target, and mention how to enable this if needed
    (finally Closes: #854475)
  * tests: show logging from failed startup phase too
  * debian-postfix-chroot-cmd.patch: update
  * README.Debian: recommend un-chrooting postfix
  * README.Debian: rewrite notes about chroot and proxy: map
  * configure-instance: use "postfix chroot -c" to include custom services too
  * hurd.patch: update to include more libdirs like in linux case
  * debian-re-run-startup-through-systemd.patch: a few updates
  * rules: stop renaming postfix *.8 manpages to *.8postfix
  * rules: stop shipping /etc/postfix/dynamicmaps.cf.d
  * rules: hide dpkg-maintscript-helper calls from lintian.  It produces
    maintainer-script-should-not-use-dpkg-maintscript-helper, which is rather
    pointless, and other ways to avoid this warning results in uglier d/rules
    with this place being split into pieces.  Fighting with the tools.. :(
  * configure-instance: avoid removing ca-certificates.crt from the certs dir
    in chroot (Closes: #1003982), add comment explaining certs storages
  * 03_ldap3_by_default.diff: do not patch generated man/man5/ldap_table.5 -
    it is regenerated by "make manpages"
  * postfix.lintian-overrides: drop 2 now-unused overrides
  * changelog: add missing newline in an old (2001) entry

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 24 Dec 2024 21:21:04 +0300

postfix (3.9.1-8) unstable; urgency=medium

  * the "let's get chroot under control" release, plus some bugfixes
    for minor issues in previous release, and more cleanups
  * debian-postfix-chroot-cmd.patch: new 'chroot' subcommand for postfix
    command, to set/unset/query chroot status of postfix services in
    master.cf.  It helps to configure current master.cf to enable/disable
    chroot easily
  * source/options: man/ is also autogenerated, ignore it in source-diff
  * README.Debian: add a note about chroot and "postfix chroot"
  * configure-instance: use "postfix chroot" to query for chroot status
  * postfix.maintscript: rm_conffile /etc/network/ip-down.d/postfix
    (temporary, Closes: #1090820)
  * postinst: fixup html_directory=no on upgrade too (Closes: #1090852)
  * patches: remove hunks changing paths in master.cf from
    40_chroot_by_default.diff to 05_debian_defaults.diff
  * rules,05_debian_defaults.diff: move postfix-files patching to rules
  * patches: update debian-defaults.patch: rename from 05_debian_defaults.diff,
    get parts from 06_debian_paths.diff to it
  * rules: stop shipping doc.files in postfix-doc package, there's no need to
  * 06_debian_paths.diff: remove
  * main.cf.in: add comments and fill in some default values, so the new
    main.cf has comments near the values which are set in postinst

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 20 Dec 2024 22:10:35 +0300

postfix (3.9.1-7) unstable; urgency=medium

  * the "let's break the toys" release part 1:
  * completelty redesign postfix multi-instance systemd setup;
    regular postfix service is back (and journalctl -u postfix etc);
    postfix@- is gone.  Pleas see the NEWS file for more details
    (Closes: #1088862, #928187)
  * `postfix start' now starts systemd postfix service and updates chroot
  * do not ship /etc/postfix/makedefs.out symlink (to /usr/share/postfix/)
  * do not include doc directories in postfix maps packages anymore, link to
    the main package doc dir instead
  * more cleanups for chroot setup and packaging

  * packaging changes:
  * maintscript: remove package names (defaults to $DPKG_MAINTSCRIPT_PACKAGE)
  * d/.gitignore: ignore debian/files
  * control: remove lsb-release build dep (forgotten after ${DEB_VENDOR} change
  * postinst: postconf -hx not -h (to expand names)
  * preinst: debconf is not used anymore
  * rules: only install listed examples from conf/, not everything
  * rules: use ${package} (in form of $mapbase) in foo-MAP generation script
    too (another place previously forgotten)
  * rules: move generated main.cf.debian & main.cf.dist from conf/ to meta/ -
    avoids cleaning them up
  * rules: keep original meta/postfix-files, create debian-specific in debian/
  * rules: make install-map a macro (readability)
  * rules: make doc dir for dynamic maps to be symlinks to main postfix package
  * rules: fixup manpage naming (8postfix) at install time
  * 41_rmail.diff: do not uncomment master.cf entry for uucp in 2024
  * collapse various dynamic map README files into main README.Debian
  * postinst &Co: perform (re)start in dpkg trigger
  * postinst,main.cf.in: fix clarify cyrus_sasl_config_path setting
  * d/main.cf.in: compatibility=3.9 for new install
  * d/main.cf.in: reword myorigin comment
  * d/postfix_groups.pl: drop, postfix can expand LDAP groups for a long time
  * make main.cf.proto & master.cf.proto to be regular conffiles
  * prerm: remove more dirs; rewrite
  * postinst: remove very old (<<2.5) sasl-smtp[d]->smtp[d] rename
  * postinst: drop permission fix from 2008 (2.5.0) for /var/lib/postfix
  * postinst: drop pre-historic update-inetd call disabling smtp
  * postinst,postrm: simplify file/dir permissions handling
  * postinst: note we should create /etc/aliases on new install
    even if no configuration is requested
  * rules: it is /etc/network/if-down.d, not ip-down.d (thanks axhn)
  * postinst,postrm,etc: stop messing with readme_directory
  * suggest to use proxy: map for chrooted config in README.Debian
    (Closes: #429742, #1003982)
  * README.Debian: review /dev/log situation in chroot
  * configure-instance: remove $queue_directory/etc/ssl/certs if chroot
    is not in use
  * configure-instance: do not copy nss modules from glibc (these are built-in);
    add comments
  * configure-instance: assume cleanup service is safe to be in chroot
    (no extra setup needed)
  * debian-run-configure-instance-from-create-missing.patch: move
    configure-instance invocation to post-install script
  * switch from postfix@-.service to postfix.service: breaking change
    (#1088862 #928187)
  * debian-re-run-startup-through-systemd.patch: redirect `postfix start'
    to systemd
  * postinst: detect if multi-instance was in use and warn the user
  * add NEWS and README about changes wrt multiple instances
  * control: remove systemd-dev build dependency

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 19 Dec 2024 12:13:23 +0300

postfix (3.9.1-6) unstable; urgency=medium

  * a "making some clean-ups, part 4" release (plus a bugfix)
  * cp isn't able to cope with dangling symlinks when copying certs left
    from the previous release.  Fix by using find(1) to traverse the dest dir
    and delete anything which does not look like a regular hashed cert file,
    since we process the directory anyway.  Closes: #1089836)
  * simplify ip-up.d/ip-down.d/update-libc.d to just one line (cp -pLu)
    and instal it everywhere.  Do not trigger queue run in ifup, it is
    not our job to know which interfaces to use for the trigger.
    Just copy the file, glibc will pick it up on the next query.
  * d/postfix.postfix-resolvconf.service: use the same simple cp command
    here too, with Conditions
  * install NetworkManager hook to update resolv.conf too
    (Closes: 1070120, #1054064)
  * d/rules rework:
   - stop passing $CPPFLAGS $CFLAGS to PLUGIN_LD
   - move common CCARGS/CONFARGS/AUXLIBS definition further up
   - move shared-build options to separate place
   - clean the cleaning
   - drop custom $(DISTRO), use ${DEB_VENDOR} everywhere in an uniform way
   - drop execute_before_dh_gencontrol (move to install)
   - reorder install target to better group things together
   - stop exporting buildflags - specify CC, the only var we use, directly
  * d/control: actually mark postfix-mongodb as linux-any
    (forgotten in previous upload)
  * d/patches: 2 patches to support building on hurd
  * postfix now builds on hurd, let's see how it works there

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 13 Dec 2024 19:41:09 +0300

postfix (3.9.1-5) unstable; urgency=medium

  * a "making some clean-ups, part 3" release
  * rewrite of d/configure-instance.sh chroot setup script:
   - remove some old files which shouldn't be there, like lib/libnss_s.so
     or lib/mozilla/libnss.3 or lib/$otherarch/libnssdbm3.so
   - stop re-writing whole chroot each time, use cp -u
   - copy /etc/ssl/certs by hash only, so the result matches those on
     host, not all of them like before
   - copy just libnss_*.so.2 for the correct architecture
   - stop creating dev/[u]random in chroot, device nodes in /var was
     a long-standing issue.  Cf. #572841
  * d/{update-libc,ip-{up,down}}.d: just copy resolv.conf, no reload needed
    (postfix uses system resolver, glibc picks up changes automatically)
    add a note we only support default/main instance
  * postfix-resolvconf: some updates
  * remove cpio from Depends, downgrade ssl-cert to Recommends
    (postfix uses ssl-snakeoil by default);
    add ssl-cert dependency to tests, so it checks smtps
  * drop very old (before buster) versioned deps
  * d/rules,d/control: do not build postfix-mongodb on hurd
  * provide (shorter) long Description for all packages directly in d/control
  * stop moving dynamic maps manpages to postfix-MAP subpackages, provide
    them in main postfix package
  * remove stray debian-differences-main-cf.diff which was added mistakenly
  * d/README.Debian: spelling: synchronizing
  * d/po: run debconf-updatepo

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 13 Dec 2024 00:09:16 +0300

postfix (3.9.1-4) unstable; urgency=medium

  * a "making some clean-ups, part 2" release
  * big changes in chroot setup (d/configure-instance.sh et al):
   - rework ssl cert (/etc/ssl/certs et al) copying to chroot:
     - simplify it, unroll the function
     - remember and skip dirs we already handled
     - copy just one directory deep
   - more advanced master.cf reading; skip simple services: chroot wont be
     updated if only postfix internal services are chrooted
   - do not ship chroot files in /var/spool/postfix/ (dev, etc, lib),
     create them in configure-instance.sh for every instance instead
   - remove /etc/passwd copying to chroot (was a hack for #65473)
   - exit early if !SYNC_CHROOT or !NEED_CHROOT
   - many small cleanups
  * stop shipping var/spool/postfix/usr/lib/zoneinfo (long unused)
  * run configure-instance.sh (for chroot) from within postfix-script,
    so every invocation of `postfix start' will run it, not just the
    startup scripts.  Add a patch to upstream postfix-script.
    This is to prepare for multiple instances mostly, and for consistency
  * do not ship /etc/postfix/postfix-script & /etc/postfix/post-install
    files anymore: they're long unused: actual files are /usr/share/postfix/.
    rm_conffile for them
  * drop main.cf.default & bounce.cf.default entirely - these are just
    outputs of `postconf -d' and `postconf -b'.
  * debian/postfix.init: rewrite the init script (simplify and normalize)
  * d/tests:
   - consolidate check and set-permissions tests
   - run all tests (do not stop on first filure)
   - show postfix logfile
  * patches:
   - add debian/gen-manpage-diff.sh
   - regenerate 05_debian_manpage_differences.diff
   - 05_debian_defaults.diff: refresh using diff -U1
   - split out main.cf.tls to debian/main.cf.tls
  * d/rules:
   - fix old typo shlibs_directory => shlib_directory
   - fix bad line split in previous upload
   - sample_directory was never recognized by makedefs
   - use ${package} in last few places
   - always provide postfix:Provides variable
  * d/NOTES: more notes, formatting

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 11 Dec 2024 17:01:58 +0300

postfix (3.9.1-3) unstable; urgency=medium

  * a "making some clean-ups, part 1" release
  * rewrite d/rules install targets, making the install process more
    understandable, grouping related parts together, adding comments, using
    various variables in a consistent way, using available tools in consistent
    manner, remove unnecessary indirection, clean up things here and there
  * rework and simplify dynamic maps installation part further
  * stop running newaliases on every install, attempt to run it just when
    we modified aliases, and do it only once - if fails, print a warning
    and continue.  There's no need to run it on every upgrade or especially
    at map installation time, since neither the format changed nor there
    were any modifications in the input file during install.  This allowed
    to drop a lot of complexity in initscripts in alias handling part and
    make whole thing much more robust in the end
  * consolidate /etc/aliases handling in a single place. More work needed
  * stop creating /etc/aliases on every install/upgrade when the user asked
    for no debconf-based configuration
  * stop building binaries when doing arch-indep build, only
    run `make makefiles' and make manpages out of this.
  * stop making makefiles for pure clean target when we haven't
    run configure (make makefiles) step yet
  * move RELEASE_NOTES from postfix-doc package to the main postfix package
  * install older RELEASE_NOTES-* files in postfix-doc (Closes: #626648)
    There's no good reason to omit them (they're rather small) but it is
    handy to have them in the package.  Can move them to main postfix
  * move examples/main.cf.default and examples/bounce.cf.default from
    postfix-doc package to the main postfix package because they're
    built in arch-dependent build.  Maybe we should stop shipping
    main.cf.default entirely (it is just `postconf -d` output), but
    bounce.cf.default should be in main package because it is a good
    starting template for customizing bounce messages.
  * drop postfix Build-Depends on e2fsprogs (chattr usaga has been removed)
  * stop shipping README.proto
  * d/rules: note html2text -nobs: we can not recreate original docs!
  * remove some old, long-unneeded pieces from the postinst & preinst scripts
  * d/NOTES: add random notes/thoughts

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 08 Dec 2024 10:28:58 +0300

postfix (3.9.1-2) unstable; urgency=medium

  * d/gbp.conf: create, with the naming scheme like current practice
  * d/postfix.lintian-overrides: update line numbers for template overrides
  * d/rules: install only libpostfix-foo.so libs, not all static libs
    (stop shipping libmilter.a and libxsasl.a uselessly)
  * d/rules,d/clean: stop renaming and removing collate.pl
  * d/postfix.dirs: stop shipping var/log (it is not used by postfix)
  * d/rules: remove unused variable TLSDOCFILES
  * d/rules,d/functions: fix stupid typos in map installation scripts
    (Closes: #1089170)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 06 Dec 2024 19:51:22 +0300

postfix (3.9.1-1) unstable; urgency=medium

  [ Michael Tokarev ]
  * New upstream version 3.9.1
  * 40_chroot_by_default.diff: refresh
  * postfix.postrm: stop removing /etc/systemd/system/postfix.service.d
   (cf #851521)
  * postfix.postrm: stop removing user and groups at package purge
    (Closes: #705754)
  * remove question about synchronous directory updates (Closes: #832953)
  * d/rules: fix date -s vs -d in txt2man invocation
  * d/rules: introduce ${prvlibdir} and ${daemondir} vars
    and use them consistently; also use install -D in changed lines
  * d/rules: simplify map installation and make it more robust
    - use ${maps} to list dynamic map types
    - replace a series of grep/mv invocation with a single sed -i
    - make sample/readme/html stripping more robust - match by
      /^\$readme_directory/ instead of just /readme/
      (should invent some helper for postfix-files splitting)
    - use stricter pattern in dynamicmaps instead of single-word "cdb"
    - use install -D to create directory
    - install manpages in the same place as maps
    - make whole thing a bit easier to read
    - remove d/postfix-*.dirs for maps
  * consolidate and symplify dynamic-maps package creation (#1075756)
   Fold all postfix-{cdb,lmdb,...}.{postinst,prerm} scripts into functions
   in d/functions, and generate individual package scripts in d/rules as
   calls to these functions.  This reduces number of files in debian/
   significantly, and makes the same code to be in single place so it's
   easy to modify.  Changes in behavior:
    - treat alias_database as multi-element list, not a single
      entry as before (it always has been plural despite the name).
      It is still treated as singular in postfix.postinst.
    - stop unregistering the map types during package upgrades
      since it will be re-added back immediately (Closes: #1075756).
    - nicer alignment of columns in the dynamicmaps.cf file.
  * d/rules: set SHELL to "/bin/sh -e" to catch possible build errors
  * d/triggers: rename to postfix.triggers
  * d/init.d: rename to postfix.init

  [ Andika Triwidada ]
  * [INTL:id] Update Indonesian debconf translation for postfix
    (Closes: #1084490)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 06 Dec 2024 11:13:30 +0300

postfix (3.9.0-4) unstable; urgency=medium

  [ Scott Kitterman ]
  * Disable Salsa CI reprotest job due to false positives
  * Disable Salsa CI cross-build job due to we know it won't work,
    so there's no point
  * Remove obsolete d/postfix.postinst fixup content
  * Restore add_root_alias, deleted in error
  * Note that cyrus_sasl_config_path fixup in postinst can be removed
    after Trixie release
  * Add patch header to d/p/reproducible

  [ Christian Göttsche ]
  * salsa-ci: enable build_twice job

  [ Michael Tokarev ]
  * d/control: set Maintainer to team+postfix@tracker.d.o
  * d/control: add myself to Uploaders
  * Closes: #1087594

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 30 Nov 2024 10:19:24 +0300

postfix (3.9.0-3) unstable; urgency=medium

  * Replace hard coding of config path for Cyrus SASL in
    d/p/07_sasl_config.diff with setting the Debian location via
    cyrus_sasl_config_path.
  * Update creation of /var/spool/postfix in preinst to include -Z option so
    that SE Linux security context is properly applied when SE Linux is
    actived.  Closes: #781776
  * Bump standards-version to 4.7.0 without further change.
  * Use raw strings in d/tests/testlib.py to fix SyntaxWarnings with Python
    3.12.

 -- Scott Kitterman <scott@kitterman.com>  Thu, 18 Jul 2024 17:06:30 -0400

postfix (3.9.0-2) unstable; urgency=medium

  * Add debian/postfix-collate to debian/clean
  * Restart postfix via trigger after new map type packages are added.
    Closes: #1063772
  * Add d/p/reproducible to restore AUXLIBS sort missed when original patch
    was upstreamed.  Closes: #1067483

 -- Scott Kitterman <scott@kitterman.com>  Tue, 02 Apr 2024 09:08:31 -0400

postfix (3.9.0-1) unstable; urgency=medium

  [Scott Kitterman]

  * Upload to unstable

  [Christian Göttsche]

  * Update lintian overrides

 -- Scott Kitterman <scott@kitterman.com>  Mon, 18 Mar 2024 23:56:50 -0400

postfix (3.9.0-1~exp1) experimental; urgency=medium

  [Scott Kitterman]

  * Refresh patches
  * Delete d/p/Sort-list-of-AUXLIBS-for-reproducible-builds.patch,
    incorporated upstream
  * Update test-postfix.py for implementation of HELP in postfix 3.9
  * Add support for mongodb
    - New postfix-mongodb binary
    - Add libmongoc-dev to build-depends

  [Wietse Venema]

  * 3.9.0

 -- Scott Kitterman <scott@kitterman.com>  Sun, 10 Mar 2024 04:47:22 -0400

postfix (3.8.6-1) unstable; urgency=medium

  [Scott Kitterman]

  * Remove lib/systemd/system-generators from d/postfix.dirs.  Closes: #1059760
  * Update with wrap-and-sort
  * Refactor d/p/Sort-list-of-AUXLIBS-for-reproducible-builds.patch based on
    upstream feedback
  * Mark d/p/Sort-list-of-AUXLIBS-for-reproducible-builds.patch as forwarded
  * Add libnsl-dev to build-depends, split from libc6-dev.  Closes: #1065158
  * Build-depend on pkgconf instead of obsolete pkg-config

  [localization folks]

  * l10n: Updated Swedish debconf translations. (Martin Bagge, Anders
    Jonsson).  Closes: #1061564

  [Wietse Venema]

  * 3.8.6

 -- Scott Kitterman <scott@kitterman.com>  Tue, 05 Mar 2024 10:24:36 -0500

postfix (3.8.5-1) unstable; urgency=medium

  [Wietse Venema]

  * 3.8.5

  [Christian Göttsche]

  * Drop unnecessary manual hardening CFLAGS, drop unused variables,
    drop obsolete suidunregister handling, and use generic destination
    variable in more places
  * Install systemd generator into canonical directory (Closes: #1059760)
  * Rely on dh_lintian to install Lintian overrides
  * Sort list of AUXLIBS for reproducible builds
  * Add Documentation key to resolvconf service

 -- Scott Kitterman <scott@kitterman.com>  Mon, 22 Jan 2024 09:47:09 -0500

postfix (3.8.4-1) unstable; urgency=medium

  [Wietse Venema]

  * 3.8.4 Closes: #1059230

 -- Scott Kitterman <scott@kitterman.com>  Fri, 22 Dec 2023 13:02:36 -0500

postfix (3.8.3-1) unstable; urgency=medium

  [Helmut Grohne]

  * Install units using dh_installsystemd only.  Closes: #1054485

  [Wietse Venema]

  * 3.8.3

 -- Scott Kitterman <scott@kitterman.com>  Thu, 21 Dec 2023 13:43:33 -0500

postfix (3.8.2-1) unstable; urgency=medium

  [Scott Kitterman]

  * Correct 3.8.1-2 debian/changelog entry

  [Wietse Venema]

  * 3.8.2

  [localization folks]

  * l10n: Update Romanian debconf translations. (Remus-Gabriel Chelu)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 14 Sep 2023 14:08:10 -0400

postfix (3.8.1-2) unstable; urgency=medium

  [Scott Kitterman]

  * Delete debian/patches/02_kfreebsd_support.diff, no longer needed
  * Drop debian/patches/04_remove_gdbm_support.diff, obsolete
  * Add/update patch headers, particularly Forwarded status
  * Rename collate.pl patch to 71_debianize_collate.pl.diff
  * Fix spelling error in d/changelog
  * Do not use full path for ypcat and update-inetd in postinst and
    suidunregister in preinst
  * Update debconf templates
  * Correct regression that caused postfix set-permissions to fail (Closes:
    #1040329)
    - Restore and update debian/patches/05_debian_manpage_differences.diff
    - Restore and update debian/patches/05_debian_readme_differences.diff
  * Update autopkgtest to test postfix set-permissions

  [localization folks]

  * l10n: Add Romanian debconf translations.  Closes: #1039560 (Remus-Gabriel
    Chelu)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 06 Jul 2023 00:18:21 -0400

postfix (3.8.1-1) unstable; urgency=medium

  [Christian Göttsche]

  * Bump _FORTIFY_SOURCE to level 3
  * Enable stack clash protection

  [Scott Kitterman]

  * Refresh and update patches for 3.8.1
  * Update default master.cf for new installs to comment out maildrop and
    external delivery methods to match upstream, these all require additional
    configuration.  Closes: #1033346
  * Delete unconditional call to fix_master and clarify wording of main.cf
    status message in postfix.postinst.  Closes: #1035350
  * Minor wording improvements in d/po/templates.pot.  Closes: #1028095

  [Wietse Venema]

  * 3.8.0 (Closes: #1036161)
  * 3.8.1

 -- Scott Kitterman <scott@kitterman.com>  Sat, 10 Jun 2023 09:31:37 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog postfix`.
